Subject: Re: bug#44725: ocaml-cairo2 package fails to build

From: Brett Gilio <[email-masked]>
Date: Wed, 18 Nov 2020 15:53:23 -0600

Evan Straw <[email-masked]> writes:

> Hello Guix maintainers,
>
> While updating Coq recently I found that the ocaml-cairo2 package it
> depends on does not build. It seems to be failing with an error during
> the check phase while calling `dune runtest tests`. The build log is
> very long so I've attached it as a file.
>
> I am using Guix on a foreign distro, Ubuntu 20.04 LTS, and my CPU
> architecture is x86_64.
>

This is a test-phase issue. It looks like it might be a segmentation
fault from a C dependency (maybe Cairo itself)? I or somebody will look
a little deeper. In the meantime I am going to disable the test-phase
and mark this issue as open.

-- 
Brett M. Gilio
[email-masked]
https://brettgilio.com/
GNU Project webmaster [https://gnu.org/help/]
E82A C026 95D6 FF02 43CA 1E5C F6C5 2DD1 BA27 CB87